<?php
session_start();
include 'config.php';
$gmcode='langlang';
/*以下函数用于替换exit*/
function exit_notice($message,$errno,$other=array()){
	if(is_array($message)) $message =json_encode($message,JSON_UNESCAPED_UNICODE);
	$rtn['message']=$message;
	$rtn['errno']=$errno;
	if(count($other)>0){
		foreach($other as $k=>$v){
			$rtn[$k]=$v;
		}
	}
	exit(json_encode($rtn,JSON_UNESCAPED_UNICODE));
}
list($msec, $sec) = explode(' ', microtime());
$msectime = (float)sprintf('%.0f', (floatval($msec) + floatval($sec)) * 1000);
if ($msectime - (float)$_SESSION['lasttime'] < 2000) {
	exit_notice('刷太快了',1);
} else {
	$_SESSION['lasttime'] = $msectime;
}
if(!$_POST['action']=='servermail') exit_notice('不支持的访问',1);
//exit_notice($_POST,1);
$pswd=trim($_POST['pswd']);
if(!$pswd) exit_notice('GM密码不能为空',1);
if($pswd!==$gmcode) exit_notice('GM密码错误',1);
$qid=intval($_POST['qid']);
$qu=$qus[strval($qid)];
if(!$qu) exit_notice('区服配置不存在');
$mysqli=new mysqli($qu['DB_HOST'],$qu['DB_USER'],$qu['DB_PSWD'],$qu['DB_NAME'],$qu['DB_PORT']);
if($mysqli->connect_errno) exit_notice('数据库连接失败',1);
$mysqli->set_charset('utf8mb4');
$max=hexdec('ff');
$itemid=trim($_POST['itemid']);	
$itemnum=intval($_POST['itemnum']);
if($itemnum<1 || $itemnum>$max) exit_notice('数量范围：1-'.$max,1);
$title=trim($_POST['title']);
$content=trim($_POST['content']);
$vip=$_POST['vip'];
$level=$_POST['level'];
$regtime=$_POST['regtime'];
$logintime=$_POST['logintime'];
sort($vip);
sort($level);
sort($regtime);
sort($logintime);
$regtimemin= $regtime[0] ? strtotime($regtime[0]) : 0;
$regtimemax= $regtime[1] ? strtotime($regtime[1]) : 0;
$logintimemin= $logintime[0] ? strtotime($logintime[0]) : 0;
$logintimemax= $logintime[1] ? strtotime($logintime[1]) : 0;
$online=intval($_POST['online']);
$stmt= $mysqli->prepare("insert into servermail(title,content,minviplevel,maxviplevel,minlevel,maxlevel,minregistertime,maxregistertime,minlogintime,maxlogintime,online) values(?,?,?,?,?,?,?,?,?,?,?)");
$stmt->bind_param("ssddddddddd", $title, $content, $vip[0], $vip[1], $level[0], $level[1], $regtimemin, $regtimemax, $logintimemin, $logintimemax, $online);
$stmt->execute();
if($stmt->affected_rows){
	$id=$mysqli->insert_id;
	$stmt->close();
	$stmt= $mysqli->prepare("insert into servermailattach(servermailid,id,count) values(?,?,?)");
	$stmt->bind_param("sdd",$id,$itemid,$itemnum);
	$stmt->execute();
	if($stmt->affected_rows){
		$stmt->close();
		exit_notice('全服邮件发送成功',0,array('data'=>json_encode($level)));
	}else{
		exit_notice('全服邮件发送失败',1);
	}
}else{
	exit_notice('全服邮件发送失败',1);
}
