<?php
session_start();
include 'config.php';
$gmcode='123456';
/*以下函数用于替换exit*/
function exit_notice($message,$errno,$other=array()){
	if(is_array($message)) $message =json_encode($message,JSON_UNESCAPED_UNICODE);
	$rtn['message']=$message;
	$rtn['errno']=$errno;
	if(count($other)>0){
		foreach($other as $k=>$v){
			$rtn[$k]=$v;
		}
	}
	exit(json_encode($rtn,JSON_UNESCAPED_UNICODE));
}
list($msec, $sec) = explode(' ', microtime());
$msectime = (float)sprintf('%.0f', (floatval($msec) + floatval($sec)) * 1000);
if ($msectime - (float)$_SESSION['lasttime'] < 2000) {
	exit_notice('刷太快了',1);
} else {
	$_SESSION['lasttime'] = $msectime;
}
$pswd=trim($_POST['pswd']);
if(!$pswd) exit_notice('GM密码不能为空',1);
if($pswd!==$gmcode) exit_notice('GM密码错误',1);
$qid=intval($_POST['qid']);
$qu=$qus[strval($qid)];
if(!$qu) exit_notice('区服配置不存在');
$uid=trim($_POST['uid']);
if(!$uid) exit_notice('角色名不能为空',1);
$mysqli=new mysqli($qu['DB_HOST'],$qu['DB_USER'],$qu['DB_PSWD'],$qu['DB_NAME'],$qu['DB_PORT']);
if($mysqli->connect_errno) exit_notice('数据库连接失败',1);
$mysqli->set_charset('utf8mb4');
$stmt = $mysqli->prepare('select * from actors where actorname=? limit 1');
$stmt->bind_param("s",$uid);
$stmt->execute();
$result = $stmt->get_result();
$row = $result->fetch_array();
$result->close();
$stmt->close();
if(!$row) exit_notice('角色不存在',1);
switch($_POST['action']){
	case 'sendmoney':
		$max=hexdec('ff');
		$ybtype=trim($_POST['ybtype']);
		$stmt = $mysqli->prepare("insert into feecallback values(null,10003,?,?,?,?,1,'',0,now(),0,?)");
		$stmt->bind_param("ddssd",$row['serverindex'],$row['actorid'],$uid,$ybtype,$row['oldserverindex']);
		$stmt->execute();
		if($stmt->affected_rows){
			exit_notice('向【'.$row['actorname'].'】充值成功',0);
		}else{
			exit_notice('向【'.$row['actorname'].'】充值失败',1);
		}		
		break;
	case 'senditem':
		//if($row['onlinestatus']==1) exit_notice('请先下线',1);
		$max=hexdec('ff');
		$itemid=trim($_POST['itemid']);	
		$itemnum=intval($_POST['itemnum']);
		if($itemnum<1 || $itemnum>$max) exit_notice('数量范围：1-'.$max,1);
		$result=$mysqli->query("select count(*) as nums from mail where actorid={$row['actorid']} and isdel=0");
		$row1=$result->fetch_array();
		$result->close();
		if($row1['nums'] > 150) exit_notice('账号邮件列表已满',1);
		$stmt= $mysqli->prepare("insert into servermail(actorid,title,content) values(?,'GM邮件','物品已送到')");
		$stmt->bind_param("d",$row['actorid']);
		//$stmt = $mysqli->prepare("insert into mail values(null,?,?,0,'GM邮件','物品已送到',unix_timestamp(),0,0)");
		//$stmt->bind_param("ss",$msectime,$row['actorid']);
		$stmt->execute();
		if($stmt->affected_rows){
			$id=$mysqli->insert_id;
			$stmt->close();
			$stmt= $mysqli->prepare("insert into servermailattach(servermailid,id,count) values(?,?,?)");
			$stmt->bind_param("sdd",$id,$itemid,$itemnum);
			//$stmt = $mysqli->prepare("insert into mailattach(mailid,actorid,itemidquastrong,itemduration) values(?,?,?,?)");
			//$stmt->bind_param("ssss",$msectime,$row['actorid'],$itemid,$itemnum);
			$stmt->execute();
			if($stmt->affected_rows){
				$stmt->close();
				exit_notice('向【'.$row['actorname'].'】发送邮件成功，5分钟内到账',0);
			}else{
				exit_notice('向【'.$row['actorname'].'】发送邮件失败',1);
			}
		}else{
			exit_notice('向【'.$row['actorname'].'】发送邮件失败',1);
		}		
		break;
	case 'clearbag':
		if($row['onlinestatus']==1) exit_notice('请先下线',1);
		$mysqli->query('delete from actorbagitem where actorid='.$row['actorid']);
		exit_notice('清理【'.$row['actorname'].'】背包成功',0);
		break;
	case 'clearmail':
		if($row['onlinestatus']==1) exit_notice('请先下线',1);
		$mysqli->query('delete from mail where actorid='.$row['actorid']);
		$mysqli->query('delete from mailattach where actorid='.$row['actorid']);
		exit_notice('清理【'.$row['actorname'].'】邮件成功',0);
		break;
	default:
		exit_notice('不支持的操作',1);
}